<?php
/**
 * app/classes/admin_controller.php
 *
 * This is the base admin controller. Every other admin controller should
 * extend this class.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Classes;

use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\Houdini\Classes\Filters;
use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\TheTempusProject as App;
use TheTempusProject\Hermes\Functions\Redirect;
use TheTempusProject\Bedrock\Functions\Session;

class AdminController extends Controller {
    public function __construct() {
        parent::__construct();
        if ( !App::$isAdmin ) {
            Session::flash( 'error', 'You do not have permission to view this page.' );
            return Redirect::home();
        }
        Template::noFollow();
        Template::noIndex();
        Template::setTemplate( 'admin' );
        Filters::add( 'logMenu', '#<ul id="log-menu" class="collapse">#is', '<ul id="log-menu" class="">', true );
    }
}
